import { DataUnit } from "@sankhyalabs/core";
export default class DataUnitFetcher {
  private templateByQuery;
  constructor();
  private buldTemplates;
  static parseDataUnitName(name: string): {
    entityName: string;
    resourceID: string;
  } | undefined;
  getDataUnit(entityName: string, resourceID: string, parentDataUnit?: DataUnit, configName?: string): DataUnit;
  private loadMetadata;
  loadSelectDistinct(dataUnit: DataUnit, fieldName: string, argument: string): Promise<Array<string>>;
  private addTransientProperties;
  private getUpdatingFields;
  private saveData;
  private updateCache;
  private getTransientInfo;
  private removeRecords;
  private loadRecord;
}
